---
title: Window.scroll()
slug: Web/API/Window/scroll
tags:
  - API
  - CSSOM View
  - Method
  - NeedsMarkupWork
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>Window.scroll()</strong></code> method scrolls the window to a particular place in the document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.scroll(<em>x-coord</em>, <em>y-coord</em>)
window.scroll(<em>options</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>x-coord</code> is the pixel along the horizontal axis of the document that you want displayed in the upper left.</li>
 <li><code>y-coord</code> is the pixel along the vertical axis of the document that you want displayed in the upper left.</li>
</ul>

<p>- or -</p>

<ul>
 <li><code>options</code> is a {{domxref("ScrollToOptions")}} dictionary.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush:html;htmlScript:true;">&lt;!-- put the 100th vertical pixel at the top of the window --&gt;

&lt;button onclick="scroll(0, 100);"&gt;click to scroll down 100 pixels&lt;/button&gt;
</pre>

<p>Using <code>options</code>:</p>

<pre class="brush: js">window.scroll({
  top: 100,
  left: 100,
  behavior: 'smooth'
});</pre>

<h2 id="Notes">Notes</h2>

<p>{{domxref("Window.scrollTo()")}} is effectively the same as this method. For relative scrolling, see {{domxref("Window.scrollBy()")}}, {{domxref("Window.scrollByLines()")}}, and {{domxref("Window.scrollByPages()")}}.</p>

<p>For scrolling elements, see {{domxref("Element.scrollTop")}} and {{domxref("Element.scrollLeft")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-scroll', 'window.scroll()') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.scroll")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.scrollByLines()")}}</li>
 <li>{{domxref("Window.scrollByPages()")}}</li>
 <li>{{domxref("Element.scrollIntoView()")}}</li>
</ul>
